# Configuration de l'application
app:
  name: "devops-helm-app"
  image:
    repository: "devops-app"
    tag: "local"
    pullPolicy: "IfNotPresent"
  
  replicaCount: 2
  
  service:
    type: NodePort
    port: 80
    targetPort: 8000
  
  resources:
    requests:
      memory: "128Mi"
      cpu: "100m"
    limits:
      memory: "256Mi"
      cpu: "200m"
  
  env:
    ENV: "production"
    LOG_LEVEL: "INFO"

# Monitoring
monitoring:
  enabled: true
  prometheusScrape: true

